#!/bin/bash
# 保存期間切れデータ削除バッチ
# 下記のパラメータを指定する。
#     -h [必須] = desknet's NEOのインストール先のフルパス
#     -s [必須] = バッチモジュール実行時のステータスファイルの保存先
#     -m [必須] = 対象機能（対象機能を以下から１つ指定する）
#                  sch     : スケジュール・設備予約
#                  todo    : ToDo
#                  memo    : 伝言・所在
#                  tcard   : タイムカード
#                  flow    : ワークフロー
#                  creport : 回覧・レポート
#                  agenda  : 議事録
#                  info    : インフォメーション
#                  koubai  : 購買予約
#                  pay     : 仮払精算
#                  stock   : 備品管理
#                  enq     : アンケート
#                  log     : アクセスログ
#     -save [必須] = データの保存期間（1ヶ月から36ヶ月の範囲で指定可能。）
#                    例)24ヶ月の場合 :  -save 24
export LD_LIBRARY_PATH=/var/www/cgi-bin/dneo/lib

/var/www/cgi-bin/dneoopt/zbatoptsavedel -h /var/www/cgi-bin/dneo -s /var/www/cgi-bin/dneo/data -m sch -save 24
